Автор Тема: Metasploit Kali  (Прочитано 1506 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Акбар Доолосбеков

  • Специалист ИТ
  • ****
  • Сообщений: 269
  • Karma: +2/-0
  • Пол: Мужской
  • REPUBLIC OF GAMERS
    • Share Post
Metasploit Kali
« : Март 15, 2015, 06:16:01 am »
Доброго времени суток дорогие друзья!

Я к Вам вот с таким вот маленьким вопросом:

У кого нибудь был опыт в обновлении Metasploit с версии 4,7 до версии 4,9 или позднее, 

ОС Kali 1.0

 

Оффлайн NiX

  • IS Group
  • сисадми́н
  • *
  • Сообщений: 564
  • Karma: +35/-0
  • Пол: Мужской
    • Share Post
Re: Metasploit Kali
« Ответ #1 : Март 15, 2015, 09:02:27 am »
Я собственно даже не представляю зачем человеку метосплойт, если он его обновить не может)) или прочитать ту же инструкцию к нему.
По факту обновление выполняется одной командой - msfupdate, но могут возникнуть проблемы с зависимостями.
Следовательно нужно выполнять апдейт самомго дистрибутива.

А для каких целей собственно нужен метасплойт? :sarcastic:
« Последнее редактирование: Март 16, 2015, 09:51:04 am от sysadmin »

master

  • Гость
Re: Metasploit Kali
« Ответ #2 : Март 15, 2015, 10:20:26 am »
А для каких целей собственно нужен метасплойт? :sarcastic:
Акбар решил попрактиковаться в хакерстве :smile3: :smile3:

Оффлайн sysadmin

  • Administrator
  • сисадми́н
  • *****
  • Сообщений: 7962
  • Karma: +108/-0
  • Пол: Мужской
    • Share Post
    • сайт для сис. админов и не только...
Re: Metasploit Kali
« Ответ #3 : Март 15, 2015, 12:46:21 pm »
msfupdate
нет?
дорогу осилит идущий...
......................
MCP, MCTS, RHCSA
......................
also aka xck...

master

  • Гость
Re: Metasploit Kali
« Ответ #4 : Март 15, 2015, 12:49:07 pm »
ну ваще то проверка версии subversion.  обновление Metasploit  msfupdate. Если я не ошибаюсь

 :offtopic:
А для каких целей собственно нужен метасплойт? :sarcastic:
Акбар решил попрактиковаться в хакерстве :smile3: :smile3:
« Последнее редактирование: Март 16, 2015, 09:51:49 am от sysadmin »

Оффлайн NiX

  • IS Group
  • сисадми́н
  • *
  • Сообщений: 564
  • Karma: +35/-0
  • Пол: Мужской
    • Share Post
Re: Metasploit Kali
« Ответ #5 : Март 15, 2015, 01:01:01 pm »
Не баяньте :sarcastic:
Про msfupdate сказал уже
только в старом дистре на 90% будет конфликт зависимостей и без aptitude dist-upgrade не обойтись
Да и ваще metasploit детям не игрушка :nonono:

Оффлайн Акбар Доолосбеков

  • Специалист ИТ
  • ****
  • Сообщений: 269
  • Karma: +2/-0
  • Пол: Мужской
  • REPUBLIC OF GAMERS
    • Share Post
Re: Metasploit Kali
« Ответ #6 : Март 15, 2015, 11:24:51 pm »
А для каких целей собственно нужен метасплойт? :sarcastic:

Только ради личных, сосед хакер вот принимаю меры зашиты ( А лучшая защита это друзья мои нападение)

А для каких целей собственно нужен метасплойт? :sarcastic:
Акбар решил попрактиковаться в хакерстве :smile3: :smile3:

Нее хакерство это не мое, живем исключительно добропорядочной жизнью

Я собственно даже не представляю зачем человеку метосплойт, если он его обновить не может)) или прочитать ту же инструкцию к нему.
По факту обновление выполняется одной командой - msfupdate, но могут возникнуть проблемы с зависимостями.
Следовательно нужно выполнять апдейт самомго дистрибутива.

Как раз таки я эту команду и знаю больше ничего, поэтому то я тут парюсь

Работаем с Live CD а версии 1,0 самый стабильный дистрибутив, но полная лажа с Metasploit, по какой то ссылке скачал tar.bz2 он вроде помог но и в тоже время нет, обновление не рабочее! Надо искать путь где сам Kali его обновит!
« Последнее редактирование: Март 16, 2015, 09:50:27 am от sysadmin »

Оффлайн NiX

  • IS Group
  • сисадми́н
  • *
  • Сообщений: 564
  • Karma: +35/-0
  • Пол: Мужской
    • Share Post
Re: Metasploit Kali
« Ответ #7 : Март 16, 2015, 07:41:12 am »
Цитировать
Работаем с Live CD а версии 1,0 самый стабильный дистрибутив
Хорошее умозаключение дилетанта))
Не удивлюсь, если услышу что Centos 6.0 является самым стабильным релизом из 6-ой ветки :taunt:
З.Ы. Прежде, чем что-либо утверждать, лучше это проверить!

Оффлайн Акбар Доолосбеков

  • Специалист ИТ
  • ****
  • Сообщений: 269
  • Karma: +2/-0
  • Пол: Мужской
  • REPUBLIC OF GAMERS
    • Share Post
Re: Metasploit Kali
« Ответ #8 : Март 16, 2015, 08:37:05 am »
Цитировать
Работаем с Live CD а версии 1,0 самый стабильный дистрибутив
Хорошее умозаключение дилетанта))
Не удивлюсь, если услышу что Centos 6.0 является самым стабильным релизом из 6-ой ветки :taunt:
З.Ы. Прежде, чем что-либо утверждать, лучше это проверить!

))) Попробовал версию 1,1 (2015 год) 1,07 но версия 1,0 оказалось более стабильным чем новые.

Оффлайн NiX

  • IS Group
  • сисадми́н
  • *
  • Сообщений: 564
  • Karma: +35/-0
  • Пол: Мужской
    • Share Post
Re: Metasploit Kali
« Ответ #9 : Март 16, 2015, 09:20:41 am »
Цитировать
но версия 1,0 оказалось более стабильным чем новые.
жги ещё :sarcastic: :sarcastic:

Оффлайн Акбар Доолосбеков

  • Специалист ИТ
  • ****
  • Сообщений: 269
  • Karma: +2/-0
  • Пол: Мужской
  • REPUBLIC OF GAMERS
    • Share Post
Re: Metasploit Kali
« Ответ #10 : Март 16, 2015, 02:16:38 pm »
У меня Armitage пропал после обновления обновился до версии  4,11 потом перезапустил систему.

До этого выполнил команды apt-get update , apt-get upgrade

Да еще с update были проблемы мол Ключ истек перезаписал, обновление пошло apt-get upgrade тоже нормально стал работать.

Но вот пишу допустим Armitage система говорит что команда не найдена, пробую установить пишет что НЕ УДАЛОСЬ НАЙТИ ПАКЕТ

Что я не правильно сделал?

Оффлайн NiX

  • IS Group
  • сисадми́н
  • *
  • Сообщений: 564
  • Karma: +35/-0
  • Пол: Мужской
    • Share Post
Re: Metasploit Kali
« Ответ #11 : Март 16, 2015, 05:19:17 pm »
Цитировать
Что я не правильно сделал?
Начал использовать старый дистрибутив :sarcastic:

Оффлайн Акбар Доолосбеков

  • Специалист ИТ
  • ****
  • Сообщений: 269
  • Karma: +2/-0
  • Пол: Мужской
  • REPUBLIC OF GAMERS
    • Share Post
Re: Metasploit Kali
« Ответ #12 : Март 16, 2015, 06:04:53 pm »
Скачал последнюю версию с офф сайта 64 BIT Так он вообще не может даже apt-get update сделать мол ключ просрочен и с репозитами байда, ладно обновил ключ, переписал репозитеры

apt-get update && apt-get upgrade выполнил

Так он не то что armitage он вообще (Тьфу тавтология) metasploit не запускает.

А в версии 1,0 он Есть то есть осталось каким то чудом armitage установить




Оффлайн NiX

  • IS Group
  • сисадми́н
  • *
  • Сообщений: 564
  • Karma: +35/-0
  • Пол: Мужской
    • Share Post
Re: Metasploit Kali
« Ответ #13 : Март 16, 2015, 07:15:37 pm »
Ну что ты мне рассказываешь)) у меня 1.1.0 на ноуте, и всё работает

Оффлайн Акбар Доолосбеков

  • Специалист ИТ
  • ****
  • Сообщений: 269
  • Karma: +2/-0
  • Пол: Мужской
  • REPUBLIC OF GAMERS
    • Share Post
Re: Metasploit Kali
« Ответ #14 : Март 16, 2015, 07:38:41 pm »
Так я и на вуртуалку и на железо ставил 1,1 рассказываю то что у меня, просто хотелось бы узнать как это решить?

На версии 1,0 все загрузилось и обновилось но armitage пропал

На версии 1,1 обновился и update и upgrade только ни msfconsole> msfupdate не сработал, версию показывает 4,10, armitage установился подключаюсь к хосту и сразу вылетает мол

обновись потом поговорим, обновиться надо до 4,11 я так думаю это и есть же последняя версия а он этого не делает

Устанавливаю metasploit с офф сайта через chmod +x далее sudo запускается инсталятор (далее, далее) просит папку указать указываю родной путь ругается типа там файлы, указываю

другой путь вылетает, удалить старый путь не возможно хотя через root заходит по умолчанию,
« Последнее редактирование: Март 16, 2015, 07:40:32 pm от Акбар Доолосбеков »


xx
Kali - установка Firefox

Автор sysadmin

0 Ответов
138 Просмотров
Последний ответ Июнь 15, 2016, 09:19:32 pm
от sysadmin
xx
Kali - проблема при клонировании Git

Автор sysadmin

0 Ответов
99 Просмотров
Последний ответ Июнь 15, 2016, 09:36:50 pm
от sysadmin
xx
Kali - установка MATE для VNC

Автор sysadmin

0 Ответов
208 Просмотров
Последний ответ Июнь 15, 2016, 07:51:36 pm
от sysadmin
thumbdown
Kali на Vmware, отдельная внешняя (интернет) сеть

Автор Акбар Доолосбеков

18 Ответов
1194 Просмотров
Последний ответ Сентябрь 17, 2015, 07:33:50 pm
от sysadmin